using MarketData.Utils;
using System.Text;

namespace MarketData.Generator.MGSHMomentum
{
  public class MGSHBacktestResult
  {
    public MGSHBacktestResult()
    {
    }
    public MGSHBacktestResult(bool success, double cashBalance)
    {
      Success=success;
      CashBalance=cashBalance;
    }
    public double CashBalance{get;set;}

    public bool Success{get;set;}

    public void Display()
    {
      StringBuilder sb = new StringBuilder();
      MDTrace.WriteLine(LogLevel.DEBUG,$"RESULT:{Success.ToString()} CASH BALANCE:{Utility.FormatCurrency(CashBalance)}");
    }
  }
}
